package com.qf.dto;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class PetDto {

    private Integer id;
    //宠物姓名
    @NotNull(message = "宠物姓名不能为空")
    private String petName;
    //宠物类别
    @NotNull(message = "宠物类别不能为空")
    private String category;
    //所属楼栋id
    @NotNull(message = "所属楼栋不能为空")
    private Integer houseId;
    //宠物年龄
    @NotNull(message = "宠物年龄不能为空")
    private Double petAge;
    //宠物图片
    @NotNull(message = "宠物图片不能为空")
    private String petImg;
    //创建时间
    private Date createTime;

}
