package com.qf.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
/**
 * (Parking)表实体类
 *
 * @author makejava
 * @since 2023-02-04 22:31:48
 */
@SuppressWarnings("serial")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("parking")
public class Parking  {
    @TableId
    private Integer id;

    //业主id
    private String ownId;
    //业主名
    @TableField(exist = false)
    private String ownerName;

    @TableField(exist = false)
    private String ownerPhone;

    //停车位号码
    private String parkNum;
    //车位类型
    private String parkType;
    //车牌号
    private String carNum;
    //缴费情况  0是未缴费
    private String feeStatus;
    //缴费余额
    private Double parkFee;
    //逻辑删除字段：0代表存在，1代表删除
    private Integer delFlag;
    //创建时间
    private Date createTime;
    //更新时间
    private Date updateTime;

}
