package com.qf.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
/**
 * (Pet)表实体类
 *
 * @author makejava
 * @since 2023-02-05 18:26:09
 */
@SuppressWarnings("serial")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("pet")
public class Pet  {
    //宠物id
    @TableId
    private Integer id;
    //宠物姓名
    private String petName;
    //宠物类别
    private String category;
    //所属楼栋id
    private Integer houseId;
    //宠物年龄
    private Double petAge;
    //宠物图片
    private String petImg;
    //创建时间
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;
    //更新时间
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;
    //逻辑删除字段：0代表存在，1代表删除
    private Integer delFlag;



}
