package com.qf.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
/**
 * (Property)表实体类
 *
 * @author makejava
 * @since 2023-02-04 22:32:09
 */
@SuppressWarnings("serial")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("property")
public class Property  {
    @TableId
    private Integer id;

    //业主id
    private Integer ownId;

    @TableField(exist = false)
    private String ownerName;
    //创建时间
    private Date createTime;
    //截止时间
//    private Date updateTime;
    //缴费状态
    private Integer feeStatus;
    //房屋编号
    private Integer houseId;
    @TableField(exist = false)
    private String houseNum;

    @TableField(exist = false)
    private Double totalPropertyFee;
    //缴费人
    private String feePerson;
    //缴费金额
    private Double fee;
    //逻辑删除字段：0代表存在，1代表删除
    private Integer delFlag;

}
