package com.qf.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
/**
 * (Waterfee)表实体类
 *
 * @author makejava
 * @since 2023-02-04 22:33:22
 */
@SuppressWarnings("serial")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("waterfee")
public class Waterfee  {
    @TableId
    private Integer id;

    //业主id
    private Integer ownId;

    //业主名
    @TableField(exist = false)
    private String ownerName;

    //缴费时间起
    private Date createTime;
    //缴费时间止
    private Date updateTime;
    //缴费状态
    private String feeStatus;
    //房屋编号
    private String houseId;
    //缴费人
    private String feePerson;
    //余额
    private Double waterFee;
    //逻辑删除字段：0代表存在，1代表删除
    private Integer delFlag;

}
