package com.qf.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class ElefeeVo {

    private Integer id;

    //业主id
    private Integer ownId;
    //房屋id
    private Integer houseId;

    //业主姓名
    private String ownName;


    //房屋号
    private String houseNum;
    //起始时间
    private Date createTime;
    //结束时间
    private Date updateTime;
    //缴费状态
    private String feeStatus;
    //缴费人
    private String feePerson;
    //缴费金额
    private Double eleFee;
}
