package com.qf.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;


@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class ElefeeDto {


    private Integer id;

    //业主id
    private Integer ownId;

    //业主名
    @NotNull(message = "【业主名】不能为空")
    private String ownerName;

    //房屋id
    @NotNull(message = "【房屋编号】不能为空")
    private Integer houseId;
    //创建时间
    private Date createTime;
    //更新时间
    private Date updateTime;
    //缴费状态
    private String feeStatus;
    //缴费人
    @NotNull(message = "【缴费人】不能为空")
    private String feePerson;
    //缴费金额
    @NotNull(message = "【缴费金额】不能为空")
    private Double eleFee;
    //逻辑删除字段：0代表存在，1代表删除
    private Integer delFlag;
}
