package com.qf.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class HouseDto {

    //房屋id
    private Integer id;

    //房屋编号
    @NotNull(message = "【房屋编号】不能为空")
    private String houseNum;

//    //使用状态 0:未使用  1:业主使用  2:租屋使用
//    //保留字段 待使用
//    @NotNull(message = "【房屋状态】不能为空")
//    @Pattern(regexp = "^[012]$", message = "【房屋状态只能是0/1/2】 0:未使用  1:业主使用  2:租屋使用")
//    private String houseStatus;

    //房屋面积
    @NotNull(message = "【房屋面积】不能为空")
    private String houseArea;

    //房屋图片
    @NotNull(message = "【房屋图片】不能为空")
    private String houseImg;

}
