package com.qf.dto;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class PropertyDto {



    private Integer id;
    @NotNull(message = "【业主id】不能为空")
    private Integer ownId;
    @NotNull(message = "【房屋id】不能为空")
    private Integer houseId;
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @NotNull(message = "【缴费金额】不能为空")
    private Double fee;

    @NotNull(message = "【缴费人】不能为空")
    private String feePerson;

    //房屋编号
    @NotNull(message = "【房屋编号】不能为空")
    private String houseNum;

    @NotNull(message = "【业主姓名】不能为空")
    private String ownerName;


}
