package com.qf.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
/**
 * (Elefee)表实体类
 *
 * @author makejava
 * @since 2023-02-04 22:19:07
 */
@SuppressWarnings("serial")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("elefee")
public class Elefee  {
    @TableId
    private Integer id;

    //业主id
    private Integer ownId;

    //业主名
    @TableField(exist = false)
    private String ownerName;

    //房屋id
    private Integer houseId;
    //创建时间
    private Date createTime;
    //更新时间
    private Date updateTime;
    //缴费状态
    private String feeStatus;
    //缴费人
    private String feePerson;
    //缴费金额
    private Double eleFee;
    //逻辑删除字段：0代表存在，1代表删除
    private Integer delFlag;



}
