package com.qf.entity;


import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
/**
 * (House)表实体类
 *
 * @author makejava
 * @since 2023-02-04 22:30:18
 */
@SuppressWarnings("serial")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("house")
public class House  {
    @TableId
    private Integer id;

    //房屋编号
    private String houseNum;
    //房屋面积
    private String houseArea;
    //使用状态 0:未使用 1：业主使用2:租屋适用
    private String houseStatus;
    //房屋图片
    private String houseImg;
    //业主id
    private Integer ownId;
    //逻辑删除字段：0代表存在，1代表删除
    private Integer delFlag;

}
