package com.qf.entity;

import java.util.Date;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * (Owner)表实体类
 *
 * @author makejava
 * @since 2023-02-04 22:31:26
 */
@SuppressWarnings("serial")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("owner")
public class Owner  {
    @TableId(value = "id",type= IdType.AUTO)
    private Integer id;

    //房屋编号
    private Integer houseId;
    //业主姓名

    private String ownName;
    //注册时间
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;
    @TableField(fill = FieldFill.UPDATE)
    //更新时间
    private Date updateTime;
    //业主电话
    private String ownPhone;
    //车牌号
    private String carNum;
    //水费余额
    private Double totalWaterFee;
    //电费余额
    private Double totalEleFee;
    //车位id
    private Integer parkId;
    //逻辑删除字段：0为存在，1为删除
    private Integer delFlag;
    //物业管理费余额
    private Double totalPropertyFee;
    //车位管理费余额
    private Double totalParkFee;

}
