package com.qf.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class OwnerVo {
    private Integer id;
    //房屋id
    private Integer houseId;
    //房屋编号信息
    private String houseNum;
    //业主姓名
    private String ownName;
    //注册时间
    private Date createTime;
    //更新时间
    private Date updateTime;
    //业主电话
    private String ownPhone;
    //车牌号
    private String carNum;
    //水费余额
    private Double totalWaterFee;
    //电费余额
    private Double totalEleFee;
    //车位id
    private Integer parkId;
    //物业管理费余额
    private Double totalPropertyFee;
    //车位管理费余额
    private Double totalParkFee;
}
