package com.qf.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class PetVo {
    //宠物id@TableId
    private Integer id;
    //宠物姓名
    private String petName;
    //宠物类别
    private String category;
    //所属楼栋id
    private Integer houseId;
    //楼栋编号
    private String houseNum;
    //业主联系方式
    private String ownPhone;
    //宠物年龄
    private Double petAge;
    //宠物图片
    private String petImg;
    //创建时间
    private Date createTime;
    //更新时间
    private Date updateTime;

}
